# Boolean

Drag a boolean type onto the canvas and assign a boolean value to it to use it as a variable. Use the SetValue to change the value further below in your Function.

A boolean type can be set to `true` or `false`. The default value of Boolean is `false`.

{% hint style="warning" %}
**Important**\
A Linx boolean type can only be populated with `true` or `false` (all letters in lower case). It does not accept any other value or variation of true/false like Y/N, Yes/No, 1/0, on/off, TRUE/FALSE or True/False.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/linx/content/boolean.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
